import Vue from "vue";
import { createPinia, PiniaVuePlugin } from "pinia";
import DataVComponent from "@zhgkpt/components";
import App from "./App.vue";
import router from "./router";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import "./assets/css/main.css";

Vue.use(ElementUI);
Vue.use(PiniaVuePlugin);
Vue.use(DataVComponent);
new Vue({
  router,
  pinia: createPinia(),
  render: (h) => h(App),
}).$mount("#app");
